/*extern importClass Packages print */
importClass(Packages.java.io.FileInputStream); /*extern FileInputStream */
importClass(Packages.java.io.InputStreamReader); /*extern InputStreamReader */
importClass(Packages.java.io.LineNumberReader); /*extern LineNumberReader */
importClass(Packages.java.util.Random); /*extern Random */

load('bot-framework.js'); /*extern gtBot */

function eachLine(file,lambda){
    var fis=new FileInputStream(file);
    var isr=new InputStreamReader(fis);
    var lnr=new LineNumberReader(isr);

    var line=lnr.readLine();
    while(line!==null){
	lambda(line);
	line=lnr.readLine();
    }

    fis.close();
}

function loadFortunes(filename){
    var cookies=[];
    var current='';
    eachLine(filename,function(line){
	    if(line=='%'){
		cookies.push(current);
		current='';
	    }else{
		if(current!=''){current+='\n';}
		current+=line;
	    }
	});
    return cookies;
}

var COOKIES=loadFortunes('fortunes.txt');

var USER="randrewsbot";
var PASS=readFile('secret.txt');
var rand=new Random();

var logout=gtBot(USER,PASS,function(username){
	return function(line){
	    return COOKIES[rand.nextInt(COOKIES.length)];
	};
    });